o serwisie | redakcja | reklama | kontakt
szukaj w serwisie
Spis treści
  • Strona 1

Indeks działów

19 grudnia 2011
Marcin Kaczmarek

Canonical zamierza zablokować wtyczkę Javy do przeglądarek w systemach Ubuntu. Powodem jest zakończenie umowy dystrybucji pakietów Java SDK w połączeniu z październikowymi informacjami o 77 lukach w oprogramowaniu Oracle.

 

Pakiet Sun JDK jest dostarczany do Ubuntu poprzez Partner Repository i instalowany przez użytkowników niezadowolonych z domyślnego pakietu OpenJDK. Było to możliwe jednak tylko do sierpnia br., kiedy firma Oracle zmieniła zasady dystrybucji pakietów (Operating System Distributor License for Java). Obecnie inni dostarwcy nie mają możliwości dystrybucji ani samych pakietów, ani aktualizacji związanych z lukami bezpieczeństwa w oprogramowaniu, choć luki te są groźne. Z podanych przez Canonical informacji wynika, że zagrożone są systemy Ubuntu 10.04, 10.10 oraz 11.04.

Skoro Canonical nie może dostarczyć aktualizacji Javy, rozwiązaniem okazało się umieszczenie w repozytorium pustych pakietów Sun JDK. Efektem będzie usunięcie pakietów z systemów użytkowników podczas aktualizacji systemu, co zarazem usunie luki bezpieczeństwa. By przywrócić Javę, konieczne będzie jej ręczne pobranie ze strony Oracle.

Więcej szczegółów dotyczących instalacji Javy znajduje się na stronach pomocy systemu Ubuntu.



Źródło: The H

Przeczytaj również...

Zaloguj się, by dodać komentarz. Nie masz konta? Zarejestruj się.

Login
Hasło
Zarejestruj się
Zapomniałem hasła
  Ostatnio komentowane
  Ostatnio na forum
więcej »
strona główna | o serwisie | redakcja | reklama | kontakt